import {
	myRequest
} from '../request.js'
export default {
	goodsList(data) {
		return myRequest({
			url: '/app/common/goods/list',
			method: 'get',
			data: data,
			noToken: true
		})
	},
	goodsDetail(data) {
		return myRequest({
			url: '/app/common/goods/'+ data,
			method: 'get',
			noToken: true
		})
	},
	goodsCourseList(data) {
		return myRequest({
			url: '/app/common/goods/course/list/'+ data,
			method: 'get',
			noToken: true
		})
	},
	collectQuestion(data) {
		return myRequest({
			url: '/collect/question',
			data:data,
			method: 'POST'
		})
	},
	
	deleteCollectQuestion(data) {
		return myRequest({
			url: '/collect/question/delete/'+data,
			method: 'POST',
		})
	},
	
	

	listGoodsUserQuestion(data) {
		return myRequest({
			url: '/bank/question/listGoodsUserQuestion',
			data:data,
			method: 'get'
		})
	},
	getCollectInfo(data) {
		return myRequest({
			url: '/collect/question/getInfo',
			data:data,
			method: 'get'
		})
	},
	
	goodsBankList(data) {
		return myRequest({
			url: '/app/common/bank/list',
			method: 'get',
			data:data,
			noToken: true
		})
	},
	
	goodsChapterList(data) {
		return myRequest({
			url: '/app/common/bank/chapter/list',
			method: 'get',
			data:data,
			noToken: true
		})
	},
	
	goodsCollectExamList(data) {
		return myRequest({
			url: '/collect/question/exam_list',
			method: 'get',
			data:data
		})
	},
	
	goodsCollectList(data) {
		return myRequest({
			url: '/collect/question/list',
			method: 'get',
			data:data
		})
	},
	
	goodsExamList(data) {
		return myRequest({
			url: '/app/common/bank/exam/list',
			method: 'get',
			data:data,
			noToken: true
		})
	},
	
	goodsQuestionList(data) {
		return myRequest({
			url: '/app/common/bank/question/list',
			method: 'get',
			data:data,
			noToken: true
		})
	},
	
	

	addCart(data) {
		return myRequest({
			url: '/base/cart',
			method: 'post',
			data: data
		})
	},
	cartList(data) {
		return myRequest({
			url: '/base/cart/list',
			method: 'get',
			data: data
		})
	},
	
	questionRecordList(data) {
		return myRequest({
			url: '/bank/question/record/list',
			method: 'get',
			data: data
		})
	},
	
	
	deleteCart(data) {
		return myRequest({
			url: '/base/cart/delete/'+data,
			method: 'post',
			data: data
		})
	}
}
